"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DigitsClock;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
require("./DigitsClock.scss");
var _Digit = _interopRequireDefault(require("../Digit/Digit"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function DigitsClock(_ref) {
  var _hh, _mm, _ss;
  let {
    time
  } = _ref;
  let [hh, mm, ss] = (time === null || time === void 0 ? void 0 : time.split(":")) || [];
  hh = (_hh = hh) === null || _hh === void 0 ? void 0 : _hh.padStart(2, "0");
  mm = (_mm = mm) === null || _mm === void 0 ? void 0 : _mm.padStart(2, "0");
  ss = (_ss = ss) === null || _ss === void 0 ? void 0 : _ss.padStart(2, "0");
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "numbers-container digit-small"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "two-digits"
  }, hh.split("").map((digit, index) => /*#__PURE__*/_react.default.createElement(_Digit.default, {
    key: "hh ".concat(index),
    value: +digit
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: "two-digits"
  }, mm.split("").map((digit, index) => /*#__PURE__*/_react.default.createElement(_Digit.default, {
    key: "mm ".concat(index),
    value: +digit
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: "two-digits"
  }, ss.split("").map((digit, index) => /*#__PURE__*/_react.default.createElement(_Digit.default, {
    key: "ss ".concat(index),
    value: +digit
  }))));
}
DigitsClock.propTypes = {
  time: _propTypes.default.string
};
DigitsClock.defaultProps = {
  time: "00:00:00"
};