"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TextToggled;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
require("./TextToggled.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function TextToggled(_ref) {
  let {
    label,
    isActive,
    onClick
  } = _ref;
  const className = (0, _classnames.default)("text-style", {
    passive: !isActive
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className,
    onClick: onClick,
    onKeyDown: onClick
  }, label);
}
TextToggled.propTypes = {
  label: _propTypes.default.string,
  isActive: _propTypes.default.bool,
  onClick: _propTypes.default.func
};
TextToggled.defaultProps = {
  label: "unTitled",
  isActive: false,
  onClick: undefined
};