"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Clock;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
require("./Clock.scss");
var _baseComponents = require("../../base-components");
var _ManagedDigitsClock = _interopRequireDefault(require("../ManagedDigitsClock/ManagedDigitsClock"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function Clock(_ref) {
  let {
    size,
    timestamp,
    useInterval,
    isMode24H
  } = _ref;
  const [mode24H, setMode24H] = (0, _react.useState)(isMode24H);
  const [localeTime, onTimeChange] = (0, _react.useState)((0, _utils.getDateFormat)(timestamp, mode24H));
  const [currentDay, setCurrentDay] = (0, _react.useState)(localeTime.day);
  const [ampmState, setAmPmState] = (0, _react.useState)(localeTime.ampm);
  const sizeObject = _utils.CLOCK_SIZES[size] || _utils.CLOCK_SIZES.medium;
  const classes = (0, _classnames.default)("clock-component-container", size);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes,
    style: sizeObject
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "component-container"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "days-container"
  }, _utils.DAYS_ARRAY.map((day, i) => /*#__PURE__*/_react.default.createElement(_baseComponents.TextToggled, {
    key: i,
    label: day,
    isActive: currentDay === day
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: "digits-container"
  }, /*#__PURE__*/_react.default.createElement(_ManagedDigitsClock.default, {
    ampmState: ampmState,
    updateAmPm: setAmPmState,
    localeTime: localeTime,
    onTimeChange: onTimeChange,
    currentDay: currentDay,
    onDayChange: setCurrentDay,
    useInterval: useInterval,
    mode24H: mode24H
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "bottom-container",
    onClick: () => setMode24H(m => !m),
    onKeyDown: () => setMode24H(m => !m)
  }, mode24H ? /*#__PURE__*/_react.default.createElement(_baseComponents.TextToggled, {
    label: "24H",
    isActive: mode24H
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_baseComponents.TextToggled, {
    label: "AM",
    isActive: ampmState === "AM"
  }), /*#__PURE__*/_react.default.createElement(_baseComponents.TextToggled, {
    label: "PM",
    isActive: ampmState === "PM"
  })))));
}
Clock.propTypes = {
  size: _propTypes.default.oneOf(Object.keys(_utils.CLOCK_SIZES)),
  timestamp: _propTypes.default.number,
  useInterval: _propTypes.default.bool,
  isMode24H: _propTypes.default.bool
};
Clock.defaultProps = {
  size: Object.keys(_utils.CLOCK_SIZES)[0],
  timestamp: undefined,
  useInterval: true,
  isMode24H: false
};