"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ManagedDigitsClock;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _baseComponents = require("../../base-components");
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* eslint-disable react-hooks/exhaustive-deps */

function ManagedDigitsClock(_ref) {
  let {
    ampmState,
    updateAmpm,
    localeTime,
    onTimeChange,
    onDayChange,
    useInterval,
    mode24H
  } = _ref;
  const {
    day,
    time,
    ampm
  } = localeTime !== null && localeTime !== void 0 ? localeTime : {};
  (0, _react.useEffect)(() => {
    const timerInterval = useInterval && setInterval(() => {
      onTimeChange === null || onTimeChange === void 0 ? void 0 : onTimeChange(date => (0, _utils.getDateFormat)(date.timestamp + 1000, date.is24HoursMode));
    }, 1000);
    return () => {
      if (timerInterval) clearInterval(timerInterval);
    };
  }, [useInterval]);
  (0, _react.useEffect)(() => {
    onDayChange === null || onDayChange === void 0 ? void 0 : onDayChange(day);
  }, [day]);
  (0, _react.useEffect)(() => {
    updateAmpm === null || updateAmpm === void 0 ? void 0 : updateAmpm(ampm);
  }, [ampm]);
  (0, _react.useEffect)(() => {
    onTimeChange === null || onTimeChange === void 0 ? void 0 : onTimeChange(date => (0, _utils.getDateFormat)(date.timestamp, mode24H));
  }, [mode24H, ampmState]);
  return /*#__PURE__*/_react.default.createElement(_baseComponents.DigitsClock, {
    time: time
  });
}
ManagedDigitsClock.propTypes = {
  ampmState: _propTypes.default.string,
  updateAmpm: _propTypes.default.func,
  localeTime: _propTypes.default.shape({
    day: _propTypes.default.string,
    time: _propTypes.default.string,
    ampm: _propTypes.default.string
  }),
  onTimeChange: _propTypes.default.func,
  onDayChange: _propTypes.default.func,
  useInterval: _propTypes.default.bool,
  mode24H: _propTypes.default.bool
};
ManagedDigitsClock.defaultProps = {
  ampmState: undefined,
  updateAmpm: undefined,
  localeTime: undefined,
  onTimeChange: undefined,
  onDayChange: undefined,
  useInterval: true,
  mode24H: false
};