"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = exports.Custom = exports.AdjustableSize = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ManagedDigitsClock = _interopRequireDefault(require("../ManagedDigitsClock"));
var _utils = require("../../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const flexCentered = {
  display: "flex",
  justifyContent: "center",
  alignItems: "center"
};
var _default = {
  title: "components/ManagedDigitsClock",
  component: _ManagedDigitsClock.default,
  parameters: {
    controls: {
      // This line hides specified controls
      exclude: /((on.*Change)|(update.*)|(ampmState)|(localeTime)|(currentDay))/g
    }
  },
  decorators: [Story => /*#__PURE__*/_react.default.createElement("div", {
    style: {
      ...flexCentered,
      height: "95vh",
      width: "95vw"
    }
  }, /*#__PURE__*/_react.default.createElement(Story, null))]
};
exports.default = _default;
const Default = () => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    ...flexCentered,
    height: "200px",
    width: "500px"
  }
}, /*#__PURE__*/_react.default.createElement(_ManagedDigitsClock.default, null));
exports.Default = Default;
const Custom = () => {
  const [useInterval, setUseInterval] = (0, _react.useState)(false);
  const [isMode24, setIsMode24] = (0, _react.useState)(true);
  const [localeTime, onTimeChange] = (0, _react.useState)((0, _utils.getDateFormat)(1523390599955));
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      ...flexCentered,
      height: "200px",
      width: "900px"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      ...flexCentered,
      flexDirection: "column",
      width: "100%",
      flex: "1 1 auto"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    style: {
      ...flexCentered,
      flexDirection: "column"
    }
  }, /*#__PURE__*/_react.default.createElement("h4", null, "useInterval"), /*#__PURE__*/_react.default.createElement("input", {
    type: "checkbox",
    style: {
      height: "50px",
      width: "50px"
    },
    value: useInterval,
    onChange: e => setUseInterval(e.target.checked)
  })), /*#__PURE__*/_react.default.createElement("div", {
    style: {
      ...flexCentered,
      flexDirection: "column"
    }
  }, /*#__PURE__*/_react.default.createElement("h4", null, "mode24H"), /*#__PURE__*/_react.default.createElement("input", {
    type: "checkbox",
    style: {
      height: "50px",
      width: "50px"
    },
    value: isMode24,
    onChange: e => setIsMode24(e.target.checked)
  }))), /*#__PURE__*/_react.default.createElement(_ManagedDigitsClock.default, {
    localeTime: localeTime,
    useInterval: useInterval,
    onTimeChange: onTimeChange,
    mode24H: isMode24
  }));
};
exports.Custom = Custom;
const AdjustableSize = props => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    ...flexCentered,
    border: "red solid 3px",
    height: "".concat(props.height, "px"),
    width: "".concat(props.width, "px")
  }
}, /*#__PURE__*/_react.default.createElement(_ManagedDigitsClock.default, null));
exports.AdjustableSize = AdjustableSize;
AdjustableSize.argTypes = {
  height: {
    control: {
      type: "number",
      min: 50,
      max: 2000,
      step: 50
    },
    defaultValue: 150
  },
  width: {
    control: {
      type: "number",
      min: 100,
      max: 3000,
      step: 50
    },
    defaultValue: 300
  },
  useInterval: {
    control: false
  },
  mode24H: {
    control: false
  }
};